/**
 * Module exports.
 */
interface InspectOptions {
    depth: number;
    colors: boolean;
    showHidden: boolean;
}
/**
 * Echos the value of a value. Trys to print the value out
 * in the best way possible given the different types.
 *
 * @param {Object} obj The object to print out.
 * @param {Object} opts Optional options object that alters the output.
 * @license MIT (© Joyent)
 */
declare function inspect(obj: any, opts: Partial<InspectOptions>): any;
declare namespace inspect {
    var colors: {
        bold: number[];
        italic: number[];
        underline: number[];
        inverse: number[];
        white: number[];
        grey: number[];
        black: number[];
        blue: number[];
        cyan: number[];
        green: number[];
        magenta: number[];
        red: number[];
        yellow: number[];
    };
    var styles: {
        special: string;
        number: string;
        boolean: string;
        undefined: string;
        null: string;
        string: string;
        date: string;
        regexp: string;
    };
}
export default inspect;
